# CM Payment gateway

[TOC]

## Introduction
Payment gateway for CM.com

## Description
This module provides a payment gateway module for [CM](https://www.cm.com/) for Drupal. It uses the 'menu' option where
the choice for the payment provider (Credit card, iDeal, PayPal etc) is handled by the CM API.

- [CM API Docs](https://www.cm.com/en/app/docs)
- [CM Payment Portal](https://services.docdatapayments.com/portal/)

After the payment succeeded the order data is then sent to Aura Quantic, which is a workflow tool used by the KB.
Further processing and transactional emails are handled in Aura Quantic.

### Info on processing data after succesful payment is received:
* https://sumanthkumarc.medium.com/writing-event-subscriber-for-order-complete-event-in-drupal-8-commerce-2-x-196292330b1c
* https://www.chapterthree.com/blog/how-to-register-event-subscriber-drupal8

### Information about creating a payment gateway for commerce:
* https://docs.drupalcommerce.org/commerce2/developer-guide/payments/create-payment-gateway/off-site-gateways/off-site-redirect
* https://docs.drupalcommerce.org/commerce2/developer-guide/payments/create-payment-gateway

## Requirements
- commerce
- commerce_payment

## Installation
See [installing modules](https://www.drupal.org/docs/extending-drupal/installing-modules) for installation instructions.
